Get metadata
curl --request GET \
--url https://demo-api.mobula.io/api/1/metadataimport requests
url = "https://demo-api.mobula.io/api/1/metadata"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://demo-api.mobula.io/api/1/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"symbol": "<string>",
"contracts": [
"<string>"
],
"blockchains": [
"<string>"
],
"decimals": [
123
],
"twitter": "<string>",
"website": "<string>",
"logo": "<string>",
"price": 123,
"market_cap": 123,
"liquidity": 123,
"volume": 123,
"description": "<string>",
"kyc": "<string>",
"audit": "<string>",
"total_supply_contracts": [
"<string>"
],
"circulating_supply_addresses": [
"<string>"
],
"total_supply": 123,
"circulating_supply": 123,
"discord": "<string>",
"max_supply": 123,
"chat": "<string>",
"tags": [
"<string>"
],
"investors": [
{
"lead": true,
"name": "<string>",
"type": "<string>",
"image": "<string>",
"country_name": "<string>",
"description": "<string>"
}
],
"distribution": [
{
"percentage": 123,
"name": "<string>"
}
],
"release_schedule": [
{
"allocation_details": {},
"tokens_to_unlock": 123,
"unlock_date": 123
}
],
"cexs": [
{
"logo": "<string>",
"name": "<string>",
"id": "<string>"
}
],
"listed_at": "<string>",
"deployer": "<string>",
"source": "<string>",
"rank": 123,
"others": {},
"dexscreener_listed": true,
"dexscreener_header": "<string>",
"dexscreener_ad_paid": true,
"live_status": "<string>",
"live_thumbnail": "<string>",
"livestream_title": "<string>",
"live_reply_count": 123,
"telegram": "<string>",
"twitterRenameCount": 123,
"twitterRenameHistory": [
{
"username": "<string>",
"last_checked": "<string>"
}
]
}
}Metacore
Get Metadata
Retrieve detailed metadata for an asset, including fundraising, tokenomics, investors, and more. Works with asset name or contract address + blockchain ID. Some assets may not have an id if they are not listed on Mobula.
GET
/
1
/
metadata
Get metadata
Field coverage is compared across aggregators live on OpenChainBench, the open benchmark suite we built and open-sourced.
Query Details
Input in “asset” the name of the asset you want to query, or the contract address while adding the blockchain as a second parameter. The market data asset query pattern is explained in great details here, with blockchain format, etc.| Name | Required | Description |
|---|---|---|
asset | Yes | Asset name or contract address. |
blockchain | No | Blockchain identifier (required if using contract address). |
symbol | No | Symbol of the asset. |
id | No | Mobula internal asset ID. |
force | No | If true, forces fresh data fetching. |
full | No | If true, returns full enriched metadatacategories, investors,distribution etc., |
Some assets, which you can explore on mobula.io (example: Avalanche) also have enriched data about fundraising, tokenomics, investors, etc.
Some assets won’t have the id field, due to them not being listed on Mobula.
Usage Examples
- Query by
Asset Address&blockchain
curl -X GET "https://demo-api.mobula.io/api/1/metadata?asset=0x504E4b2E72b6de62BCbB5E4eB5587962Ce41852a&blockchain=ethereum"
- Query by
Asset Namewithfull=trueandforce=true
curl -X GET "https://demo-api.mobula.io/api/1/metadata?asset=Avalanche&blockchain=solana&full=true&force=true"
id
curl -X GET "https://demo-api.mobula.io/api/1/metadata?id=24"
⌘I